{
  "license": "agpl",
  "private": true,
  "module": true,
  "scripts": {
    "build": "NODE_ENV=production ./node_modules/.bin/webpack-cli --progress --config webpack.config.js",
    "dev": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --config webpack.config.js",
    "watch": "NODE_ENV=development ./node_modules/.bin/webpack-cli --progress --watch --config webpack.config.js",
    "lint": "ESLINT_USE_FLAT_CONFIG=false ./node_modules/.bin/eslint --ext .js,.vue --ignore-path .gitignore --fix src",
    "format": "./node_modules/.bin/prettier src --write"
  },
  "dependencies": {
    "@nextcloud/router": "^3.0.1",
    "@nextcloud/vue": "^9.0.0-alpha.8",
    "node-polyfill-webpack-plugin": "^4.1.0",
    "pinia": "^3.0.1",
    "vue": "^3.5.13"
  },
  "browserslist": [
    "extends @nextcloud/browserslist-config"
  ],
  "engines": {
    "node": ">=16.0.0"
  },
  "devDependencies": {
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@nextcloud/axios": "^2.5.1",
    "@nextcloud/browserslist-config": "^3.0.1",
    "@nextcloud/event-bus": "^3.3.1",
    "@nextcloud/initial-state": "^2.2.0",
    "@nextcloud/l10n": "^3.2.0",
    "babel-loader": "^9.1.3",
    "css-loader": "^7.1.2",
    "eslint": "^9.19.0",
    "eslint-config-prettier": "^10.0.1",
    "eslint-plugin-vue": "^9.32.0",
    "file-loader": "^6.2.0",
    "mini-css-extract-plugin": "^2.9.1",
    "postcss-loader": "^8.1.1",
    "prettier": "3.4.2",
    "sass": "^1.78.0",
    "sass-loader": "^16.0.1",
    "source-map-loader": "^5.0.0",
    "style-loader": "^4.0.0",
    "vue-loader": "^17.4.2",
    "vue-router": "^4.4.5",
    "webpack": "^5.94.0",
    "webpack-cli": "^5.1.4",
    "webpack-notifier": "^1.15.0"
  }
}
